Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture
Class CaptureOperation

    java.lang.Object
      teamdev.jxcapture.CaptureOperation

Direct Known Subclasses:
  ActiveWindowCapture, DesktopCapture, DrawableCapture, ObjectCapture

public abstract class CaptureOperation
extends java.lang.Object

The abstract class that represents the capture operation.

Constructor Summary
`protected` | `CaptureOperation()`

Method Summary
`void` | `addCaptureListener(CaptureListener listener)` Adds the specified capture operation listener to receive capture operation events from this operation.
`abstract void` | `execute()` Executes the current capture operation.
`protected void` | `fireCaptureCancelEvent()`
`protected void` | `fireCaptureCompleteEvent(java.awt.image.BufferedImage image)`
`protected void` | `fireCaptureStartEvent()`
`CaptureListener[]` | `getCaptureListeners()` Returns an array of all the capture operation listeners registered on this operation.
`void` | `removeCaptureListener(CaptureListener listener)` Removes the specified capture operation listener, so that it no longer receives capture operation events from this operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaptureOperation

    protected CaptureOperation()

Method Detail

### execute

    public abstract void execute()

  Executes the current capture operation.

### addCaptureListener

    public void addCaptureListener(CaptureListener listener)

  Adds the specified capture operation listener to receive capture operation events from this operation.

  If listener `listener` is `null`, no exception is thrown and no action is performed.

  Parameters:
    `listener` - the specified capture operation listener

### removeCaptureListener

    public void removeCaptureListener(CaptureListener listener)

  Removes the specified capture operation listener, so that it no longer receives capture operation events from this operation.

  If listener `listener` is `null`, no exception is thrown and no action is performed.

  Parameters:
    `listener` - the specified capture operation listener

### getCaptureListeners

    public CaptureListener[] getCaptureListeners()

  Returns an array of all the capture operation listeners registered on this operation.

  Returns:
    all of this component's `CaptureListener`s or an empty array if no capture operation listeners are currently registered

### fireCaptureStartEvent

    protected void fireCaptureStartEvent()

### fireCaptureCancelEvent

    protected void fireCaptureCancelEvent()

### fireCaptureCompleteEvent

    protected void fireCaptureCompleteEvent(java.awt.image.BufferedImage image)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD